commit:     28cb7ada361184d2e0dbe5eb043a0c87ff2439c3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 02:47:35 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 02:47:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28cb7ada

app-emulation/dinero: bump to EAPI 7

Closes: https://bugs.gentoo.org/742047
Closes: https://bugs.gentoo.org/632412
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/dinero/dinero-4.7-r1.ebuild | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

diff --git a/app-emulation/dinero/dinero-4.7-r1.ebuild 
b/app-emulation/dinero/dinero-4.7-r1.ebuild
index 6a9d150497b..5768448f388 100644
--- a/app-emulation/dinero/dinero-4.7-r1.ebuild
+++ b/app-emulation/dinero/dinero-4.7-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
 inherit autotools toolchain-funcs
 
@@ -14,13 +14,22 @@ 
SRC_URI="ftp://ftp.cs.wisc.edu/markhill/DineroIV/${MY_P}.tar.gz";
 LICENSE="free-noncomm"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
-IUSE=""
 
 src_prepare() {
+       default
+
+       # 331837
        sed -e "s/\$(CC)/& \$(LDFLAGS)/" \
-         -i Makefile.in || die #331837
+         -i Makefile.in || die
+
+       mv configure.{in,ac} || die
+
        eautoreconf
+}
+
+src_configure() {
        tc-export AR
+       default
 }
 
 src_install() {

Reply via email to